com.io7m.r2.core

## Interface R2DepthInstancesType

- All Known Implementing Classes:
    R2DepthInstances

      public interface R2DepthInstancesType

  The set of depth instances in a scene.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<M> void` | `depthsAddBatchedInstance(R2InstanceBatchedType i, R2MaterialDepthBatchedType<M> m)` Add a batched instance to the scene using the given material, in group `1`.
    `<M> void` | `depthsAddSingleInstance(R2InstanceSingleType i, R2MaterialDepthSingleType<M> m)` Add a single instance to the scene using the given material, in group `1`.
    `long` | `depthsCount()`
    `void` | `depthsExecute(R2DepthInstancesConsumerType c)` Batch the instances and pass them to the given consumer for rendering.
    `com.io7m.jcanephora.core.JCGLFaceSelection` | `depthsGetFaceCulling()`
    `void` | `depthsReset()` Remove all instances from the scene.
    `void` | `depthsSetFaceCulling(com.io7m.jcanephora.core.JCGLFaceSelection f)` Set which faces will be culled for the rendered instances.

- - ### Method Detail

    - #### depthsSetFaceCulling

          void depthsSetFaceCulling(com.io7m.jcanephora.core.JCGLFaceSelection f)

      Set which faces will be culled for the rendered instances. The default if none are specified is `JCGLFaceSelection.FACE_BACK`.
      Parameters:
        `f` - The faces to be culled

    - #### depthsGetFaceCulling

          com.io7m.jcanephora.core.JCGLFaceSelection depthsGetFaceCulling()

      Returns:
        The faces to be culled during rendering
      See Also:
        `depthsSetFaceCulling(JCGLFaceSelection)`

    - #### depthsReset

          void depthsReset()

      Remove all instances from the scene.

    - #### depthsAddSingleInstance

          <M> void depthsAddSingleInstance(R2InstanceSingleType i,
                                           R2MaterialDepthSingleType<M> m)

      Add a single instance to the scene using the given material, in group `1`.
      Type Parameters:
        `M` - The type of shader parameters
      Parameters:
        `i` - The instance
        `m` - The material

    - #### depthsAddBatchedInstance

          <M> void depthsAddBatchedInstance(R2InstanceBatchedType i,
                                            R2MaterialDepthBatchedType<M> m)

      Add a batched instance to the scene using the given material, in group `1`.
      Type Parameters:
        `M` - The type of shader parameters
      Parameters:
        `i` - The instance
        `m` - The material

    - #### depthsExecute

          void depthsExecute(R2DepthInstancesConsumerType c)

      Batch the instances and pass them to the given consumer for rendering.
      Parameters:
        `c` - The consumer

    - #### depthsCount

          long depthsCount()

      Returns:
        The number of instances in the scene

Copyright © 2017 <code@io7m.com> http://io7m.com